# Enum MessageHeaderInterface.MessageHeaderType

java.lang.Object
java.lang.Enum<MessageHeaderInterface.MessageHeaderType>
de.javawi.jstun.header.MessageHeaderInterface.MessageHeaderType

All Implemented Interfaces:
  `Serializable, Comparable<MessageHeaderInterface.MessageHeaderType>, java.lang.constant.Constable`

Enclosing interface:
  `MessageHeaderInterface`

public static enum MessageHeaderInterface.MessageHeaderType extends Enum<MessageHeaderInterface.MessageHeaderType>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BindingErrorResponse`
`BindingRequest`
`BindingResponse`
`SharedSecretErrorResponse`
`SharedSecretRequest`
`SharedSecretResponse`

## Method Summary

Modifier and Type
Method
Description
`static MessageHeaderInterface.MessageHeaderType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MessageHeaderInterface.MessageHeaderType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BindingRequest

public static final MessageHeaderInterface.MessageHeaderType BindingRequest

### BindingResponse

public static final MessageHeaderInterface.MessageHeaderType BindingResponse

### BindingErrorResponse

public static final MessageHeaderInterface.MessageHeaderType BindingErrorResponse

### SharedSecretRequest

public static final MessageHeaderInterface.MessageHeaderType SharedSecretRequest

### SharedSecretResponse

public static final MessageHeaderInterface.MessageHeaderType SharedSecretResponse

### SharedSecretErrorResponse

public static final MessageHeaderInterface.MessageHeaderType SharedSecretErrorResponse

## Method Details

### values

public static MessageHeaderInterface.MessageHeaderType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MessageHeaderInterface.MessageHeaderType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null